/* Multibyte character I/O: macros for single-byte encodings.
   Copyright (C) 2001 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

/* Written by Mitsuru Chinen <mchinen@yamato.ibm.com>
   and Bruno Haible <bruno@clisp.org>.  */

/* The macros in this file implement 8-bit character input from a stream.
   They are to be used when MB_CUR_MAX == 1.  The same macros are defined
   in mbfile_multi.h for input in a multi-byte encoding, for use when
   MB_CUR_MAX > 1.
 */

#ifndef MBFILE_8BIT_H
#define MBFILE_8BIT_H 1

#include <stdio.h>

typedef FILE * mbfile_8bit;

#endif /* MBFILE_8BIT_H */
/* Now the macros that will be undefined in mbfile_undef.h.  */

#include "mbchar_8bit.h"

#define MB_FILE mbfile_8bit
#define MBF_CHAR int
#define MBF_INIT(mbf, stream) ((mbf) = (stream))
#define MBF_GETC(mbc, mbf) ((mbc) = getc (mbf))
#define MBF_UNGETC(mbc, mbf) ungetc (mbc, mbf)
#define MB_ISEOF(mbc) ((mbc) == EOF)
